Package com.google.protobuf

# Class DescriptorProtos.DescriptorProto.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<DescriptorProtos.DescriptorProto.Builder>
com.google.protobuf.GeneratedMessage.Builder<DescriptorProtos.DescriptorProto.Builder>
com.google.protobuf.DescriptorProtos.DescriptorProto.Builder

All Implemented Interfaces:
  `DescriptorProtos.DescriptorProtoOrBuilder`, `Message.Builder`, `MessageLite.Builder`, `MessageLiteOrBuilder`, `MessageOrBuilder`, `Cloneable`

Enclosing class:
  `DescriptorProtos.DescriptorProto`

public static final class DescriptorProtos.DescriptorProto.Builder extends GeneratedMessage.Builder<DescriptorProtos.DescriptorProto.Builder> implements DescriptorProtos.DescriptorProtoOrBuilder
Protobuf type `google.protobuf.DescriptorProto`

## Method Summary

Modifier and Type
Method
Description
`DescriptorProtos.DescriptorProto.Builder`
`addAllEnumType(Iterable<? extends DescriptorProtos.EnumDescriptorProto> values)`
`repeated .google.protobuf.EnumDescriptorProto enum_type = 4 [json_name = "enumType"];`
`DescriptorProtos.DescriptorProto.Builder`
`addAllExtension(Iterable<? extends DescriptorProtos.FieldDescriptorProto> values)`
`repeated .google.protobuf.FieldDescriptorProto extension = 6 [json_name = "extension"];`
`DescriptorProtos.DescriptorProto.Builder`
`addAllExtensionRange(Iterable<? extends DescriptorProtos.DescriptorProto.ExtensionRange> values)`
`repeated .google.protobuf.DescriptorProto.ExtensionRange extension_range = 5 [json_name = "extensionRange"];`
`DescriptorProtos.DescriptorProto.Builder`
`addAllField(Iterable<? extends DescriptorProtos.FieldDescriptorProto> values)`
`repeated .google.protobuf.FieldDescriptorProto field = 2 [json_name = "field"];`
`DescriptorProtos.DescriptorProto.Builder`
`addAllNestedType(Iterable<? extends DescriptorProtos.DescriptorProto> values)`
`repeated .google.protobuf.DescriptorProto nested_type = 3 [json_name = "nestedType"];`
`DescriptorProtos.DescriptorProto.Builder`
`addAllOneofDecl(Iterable<? extends DescriptorProtos.OneofDescriptorProto> values)`
`repeated .google.protobuf.OneofDescriptorProto oneof_decl = 8 [json_name = "oneofDecl"];`
`DescriptorProtos.DescriptorProto.Builder`
`addAllReservedName(Iterable<String> values)`
`repeated string reserved_name = 10 [json_name = "reservedName"];`
`DescriptorProtos.DescriptorProto.Builder`
`addAllReservedRange(Iterable<? extends DescriptorProtos.DescriptorProto.ReservedRange> values)`
`repeated .google.protobuf.DescriptorProto.ReservedRange reserved_range = 9 [json_name = "reservedRange"];`
`DescriptorProtos.DescriptorProto.Builder`
`addEnumType(int index, DescriptorProtos.EnumDescriptorProto value)`
`repeated .google.protobuf.EnumDescriptorProto enum_type = 4 [json_name = "enumType"];`
`DescriptorProtos.DescriptorProto.Builder`
`addEnumType(int index, DescriptorProtos.EnumDescriptorProto.Builder builderForValue)`
`repeated .google.protobuf.EnumDescriptorProto enum_type = 4 [json_name = "enumType"];`
`DescriptorProtos.DescriptorProto.Builder`
`addEnumType(DescriptorProtos.EnumDescriptorProto value)`
`repeated .google.protobuf.EnumDescriptorProto enum_type = 4 [json_name = "enumType"];`
`DescriptorProtos.DescriptorProto.Builder`
`addEnumType(DescriptorProtos.EnumDescriptorProto.Builder builderForValue)`
`repeated .google.protobuf.EnumDescriptorProto enum_type = 4 [json_name = "enumType"];`
`DescriptorProtos.EnumDescriptorProto.Builder`
`addEnumTypeBuilder()`
`repeated .google.protobuf.EnumDescriptorProto enum_type = 4 [json_name = "enumType"];`
`DescriptorProtos.EnumDescriptorProto.Builder`
`addEnumTypeBuilder(int index)`
`repeated .google.protobuf.EnumDescriptorProto enum_type = 4 [json_name = "enumType"];`
`DescriptorProtos.DescriptorProto.Builder`
`addExtension(int index, DescriptorProtos.FieldDescriptorProto value)`
`repeated .google.protobuf.FieldDescriptorProto extension = 6 [json_name = "extension"];`
`DescriptorProtos.DescriptorProto.Builder`
`addExtension(int index, DescriptorProtos.FieldDescriptorProto.Builder builderForValue)`
`repeated .google.protobuf.FieldDescriptorProto extension = 6 [json_name = "extension"];`
`DescriptorProtos.DescriptorProto.Builder`
`addExtension(DescriptorProtos.FieldDescriptorProto value)`
`repeated .google.protobuf.FieldDescriptorProto extension = 6 [json_name = "extension"];`
`DescriptorProtos.DescriptorProto.Builder`
`addExtension(DescriptorProtos.FieldDescriptorProto.Builder builderForValue)`
`repeated .google.protobuf.FieldDescriptorProto extension = 6 [json_name = "extension"];`
`DescriptorProtos.FieldDescriptorProto.Builder`
`addExtensionBuilder()`
`repeated .google.protobuf.FieldDescriptorProto extension = 6 [json_name = "extension"];`
`DescriptorProtos.FieldDescriptorProto.Builder`
`addExtensionBuilder(int index)`
`repeated .google.protobuf.FieldDescriptorProto extension = 6 [json_name = "extension"];`
`DescriptorProtos.DescriptorProto.Builder`
`addExtensionRange(int index, DescriptorProtos.DescriptorProto.ExtensionRange value)`
`repeated .google.protobuf.DescriptorProto.ExtensionRange extension_range = 5 [json_name = "extensionRange"];`
`DescriptorProtos.DescriptorProto.Builder`
`addExtensionRange(int index, DescriptorProtos.DescriptorProto.ExtensionRange.Builder builderForValue)`
`repeated .google.protobuf.DescriptorProto.ExtensionRange extension_range = 5 [json_name = "extensionRange"];`
`DescriptorProtos.DescriptorProto.Builder`
`addExtensionRange(DescriptorProtos.DescriptorProto.ExtensionRange value)`
`repeated .google.protobuf.DescriptorProto.ExtensionRange extension_range = 5 [json_name = "extensionRange"];`
`DescriptorProtos.DescriptorProto.Builder`
`addExtensionRange(DescriptorProtos.DescriptorProto.ExtensionRange.Builder builderForValue)`
`repeated .google.protobuf.DescriptorProto.ExtensionRange extension_range = 5 [json_name = "extensionRange"];`
`DescriptorProtos.DescriptorProto.ExtensionRange.Builder`
`addExtensionRangeBuilder()`
`repeated .google.protobuf.DescriptorProto.ExtensionRange extension_range = 5 [json_name = "extensionRange"];`
`DescriptorProtos.DescriptorProto.ExtensionRange.Builder`
`addExtensionRangeBuilder(int index)`
`repeated .google.protobuf.DescriptorProto.ExtensionRange extension_range = 5 [json_name = "extensionRange"];`
`DescriptorProtos.DescriptorProto.Builder`
`addField(int index, DescriptorProtos.FieldDescriptorProto value)`
`repeated .google.protobuf.FieldDescriptorProto field = 2 [json_name = "field"];`
`DescriptorProtos.DescriptorProto.Builder`
`addField(int index, DescriptorProtos.FieldDescriptorProto.Builder builderForValue)`
`repeated .google.protobuf.FieldDescriptorProto field = 2 [json_name = "field"];`
`DescriptorProtos.DescriptorProto.Builder`
`addField(DescriptorProtos.FieldDescriptorProto value)`
`repeated .google.protobuf.FieldDescriptorProto field = 2 [json_name = "field"];`
`DescriptorProtos.DescriptorProto.Builder`
`addField(DescriptorProtos.FieldDescriptorProto.Builder builderForValue)`
`repeated .google.protobuf.FieldDescriptorProto field = 2 [json_name = "field"];`
`DescriptorProtos.FieldDescriptorProto.Builder`
`addFieldBuilder()`
`repeated .google.protobuf.FieldDescriptorProto field = 2 [json_name = "field"];`
`DescriptorProtos.FieldDescriptorProto.Builder`
`addFieldBuilder(int index)`
`repeated .google.protobuf.FieldDescriptorProto field = 2 [json_name = "field"];`
`DescriptorProtos.DescriptorProto.Builder`
`addNestedType(int index, DescriptorProtos.DescriptorProto value)`
`repeated .google.protobuf.DescriptorProto nested_type = 3 [json_name = "nestedType"];`
`DescriptorProtos.DescriptorProto.Builder`
`addNestedType(int index, DescriptorProtos.DescriptorProto.Builder builderForValue)`
`repeated .google.protobuf.DescriptorProto nested_type = 3 [json_name = "nestedType"];`
`DescriptorProtos.DescriptorProto.Builder`
`addNestedType(DescriptorProtos.DescriptorProto value)`
`repeated .google.protobuf.DescriptorProto nested_type = 3 [json_name = "nestedType"];`
`DescriptorProtos.DescriptorProto.Builder`
`addNestedType(DescriptorProtos.DescriptorProto.Builder builderForValue)`
`repeated .google.protobuf.DescriptorProto nested_type = 3 [json_name = "nestedType"];`
`DescriptorProtos.DescriptorProto.Builder`
`addNestedTypeBuilder()`
`repeated .google.protobuf.DescriptorProto nested_type = 3 [json_name = "nestedType"];`
`DescriptorProtos.DescriptorProto.Builder`
`addNestedTypeBuilder(int index)`
`repeated .google.protobuf.DescriptorProto nested_type = 3 [json_name = "nestedType"];`
`DescriptorProtos.DescriptorProto.Builder`
`addOneofDecl(int index, DescriptorProtos.OneofDescriptorProto value)`
`repeated .google.protobuf.OneofDescriptorProto oneof_decl = 8 [json_name = "oneofDecl"];`
`DescriptorProtos.DescriptorProto.Builder`
`addOneofDecl(int index, DescriptorProtos.OneofDescriptorProto.Builder builderForValue)`
`repeated .google.protobuf.OneofDescriptorProto oneof_decl = 8 [json_name = "oneofDecl"];`
`DescriptorProtos.DescriptorProto.Builder`
`addOneofDecl(DescriptorProtos.OneofDescriptorProto value)`
`repeated .google.protobuf.OneofDescriptorProto oneof_decl = 8 [json_name = "oneofDecl"];`
`DescriptorProtos.DescriptorProto.Builder`
`addOneofDecl(DescriptorProtos.OneofDescriptorProto.Builder builderForValue)`
`repeated .google.protobuf.OneofDescriptorProto oneof_decl = 8 [json_name = "oneofDecl"];`
`DescriptorProtos.OneofDescriptorProto.Builder`
`addOneofDeclBuilder()`
`repeated .google.protobuf.OneofDescriptorProto oneof_decl = 8 [json_name = "oneofDecl"];`
`DescriptorProtos.OneofDescriptorProto.Builder`
`addOneofDeclBuilder(int index)`
`repeated .google.protobuf.OneofDescriptorProto oneof_decl = 8 [json_name = "oneofDecl"];`
`DescriptorProtos.DescriptorProto.Builder`
`addReservedName(String value)`
`repeated string reserved_name = 10 [json_name = "reservedName"];`
`DescriptorProtos.DescriptorProto.Builder`
`addReservedNameBytes(ByteString value)`
`repeated string reserved_name = 10 [json_name = "reservedName"];`
`DescriptorProtos.DescriptorProto.Builder`
`addReservedRange(int index, DescriptorProtos.DescriptorProto.ReservedRange value)`
`repeated .google.protobuf.DescriptorProto.ReservedRange reserved_range = 9 [json_name = "reservedRange"];`
`DescriptorProtos.DescriptorProto.Builder`
`addReservedRange(int index, DescriptorProtos.DescriptorProto.ReservedRange.Builder builderForValue)`
`repeated .google.protobuf.DescriptorProto.ReservedRange reserved_range = 9 [json_name = "reservedRange"];`
`DescriptorProtos.DescriptorProto.Builder`
`addReservedRange(DescriptorProtos.DescriptorProto.ReservedRange value)`
`repeated .google.protobuf.DescriptorProto.ReservedRange reserved_range = 9 [json_name = "reservedRange"];`
`DescriptorProtos.DescriptorProto.Builder`
`addReservedRange(DescriptorProtos.DescriptorProto.ReservedRange.Builder builderForValue)`
`repeated .google.protobuf.DescriptorProto.ReservedRange reserved_range = 9 [json_name = "reservedRange"];`
`DescriptorProtos.DescriptorProto.ReservedRange.Builder`
`addReservedRangeBuilder()`
`repeated .google.protobuf.DescriptorProto.ReservedRange reserved_range = 9 [json_name = "reservedRange"];`
`DescriptorProtos.DescriptorProto.ReservedRange.Builder`
`addReservedRangeBuilder(int index)`
`repeated .google.protobuf.DescriptorProto.ReservedRange reserved_range = 9 [json_name = "reservedRange"];`
`DescriptorProtos.DescriptorProto`
`build()`
Constructs the message based on the state of the Builder.
`DescriptorProtos.DescriptorProto`
`buildPartial()`
Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields.
`DescriptorProtos.DescriptorProto.Builder`
`clear()`
Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.
`DescriptorProtos.DescriptorProto.Builder`
`clearEnumType()`
`repeated .google.protobuf.EnumDescriptorProto enum_type = 4 [json_name = "enumType"];`
`DescriptorProtos.DescriptorProto.Builder`
`clearExtension()`
`repeated .google.protobuf.FieldDescriptorProto extension = 6 [json_name = "extension"];`
`DescriptorProtos.DescriptorProto.Builder`
`clearExtensionRange()`
`repeated .google.protobuf.DescriptorProto.ExtensionRange extension_range = 5 [json_name = "extensionRange"];`
`DescriptorProtos.DescriptorProto.Builder`
`clearField()`
`repeated .google.protobuf.FieldDescriptorProto field = 2 [json_name = "field"];`
`DescriptorProtos.DescriptorProto.Builder`
`clearName()`
`optional string name = 1 [json_name = "name"];`
`DescriptorProtos.DescriptorProto.Builder`
`clearNestedType()`
`repeated .google.protobuf.DescriptorProto nested_type = 3 [json_name = "nestedType"];`
`DescriptorProtos.DescriptorProto.Builder`
`clearOneofDecl()`
`repeated .google.protobuf.OneofDescriptorProto oneof_decl = 8 [json_name = "oneofDecl"];`
`DescriptorProtos.DescriptorProto.Builder`
`clearOptions()`
`optional .google.protobuf.MessageOptions options = 7 [json_name = "options"];`
`DescriptorProtos.DescriptorProto.Builder`
`clearReservedName()`
`repeated string reserved_name = 10 [json_name = "reservedName"];`
`DescriptorProtos.DescriptorProto.Builder`
`clearReservedRange()`
`repeated .google.protobuf.DescriptorProto.ReservedRange reserved_range = 9 [json_name = "reservedRange"];`
`DescriptorProtos.DescriptorProto`
`getDefaultInstanceForType()`
Get an instance of the type with no fields set.
`static final Descriptors.Descriptor`
`getDescriptor()`
`Descriptors.Descriptor`
`getDescriptorForType()`
Get the message's type's descriptor.
`DescriptorProtos.EnumDescriptorProto`
`getEnumType(int index)`
`repeated .google.protobuf.EnumDescriptorProto enum_type = 4 [json_name = "enumType"];`
`DescriptorProtos.EnumDescriptorProto.Builder`
`getEnumTypeBuilder(int index)`
`repeated .google.protobuf.EnumDescriptorProto enum_type = 4 [json_name = "enumType"];`
`List<DescriptorProtos.EnumDescriptorProto.Builder>`
`getEnumTypeBuilderList()`
`repeated .google.protobuf.EnumDescriptorProto enum_type = 4 [json_name = "enumType"];`
`int`
`getEnumTypeCount()`
`repeated .google.protobuf.EnumDescriptorProto enum_type = 4 [json_name = "enumType"];`
`List<DescriptorProtos.EnumDescriptorProto>`
`getEnumTypeList()`
`repeated .google.protobuf.EnumDescriptorProto enum_type = 4 [json_name = "enumType"];`
`DescriptorProtos.EnumDescriptorProtoOrBuilder`
`getEnumTypeOrBuilder(int index)`
`repeated .google.protobuf.EnumDescriptorProto enum_type = 4 [json_name = "enumType"];`
`List<? extends DescriptorProtos.EnumDescriptorProtoOrBuilder>`
`getEnumTypeOrBuilderList()`
`repeated .google.protobuf.EnumDescriptorProto enum_type = 4 [json_name = "enumType"];`
`DescriptorProtos.FieldDescriptorProto`
`getExtension(int index)`
`repeated .google.protobuf.FieldDescriptorProto extension = 6 [json_name = "extension"];`
`DescriptorProtos.FieldDescriptorProto.Builder`
`getExtensionBuilder(int index)`
`repeated .google.protobuf.FieldDescriptorProto extension = 6 [json_name = "extension"];`
`List<DescriptorProtos.FieldDescriptorProto.Builder>`
`getExtensionBuilderList()`
`repeated .google.protobuf.FieldDescriptorProto extension = 6 [json_name = "extension"];`
`int`
`getExtensionCount()`
`repeated .google.protobuf.FieldDescriptorProto extension = 6 [json_name = "extension"];`
`List<DescriptorProtos.FieldDescriptorProto>`
`getExtensionList()`
`repeated .google.protobuf.FieldDescriptorProto extension = 6 [json_name = "extension"];`
`DescriptorProtos.FieldDescriptorProtoOrBuilder`
`getExtensionOrBuilder(int index)`
`repeated .google.protobuf.FieldDescriptorProto extension = 6 [json_name = "extension"];`
`List<? extends DescriptorProtos.FieldDescriptorProtoOrBuilder>`
`getExtensionOrBuilderList()`
`repeated .google.protobuf.FieldDescriptorProto extension = 6 [json_name = "extension"];`
`DescriptorProtos.DescriptorProto.ExtensionRange`
`getExtensionRange(int index)`
`repeated .google.protobuf.DescriptorProto.ExtensionRange extension_range = 5 [json_name = "extensionRange"];`
`DescriptorProtos.DescriptorProto.ExtensionRange.Builder`
`getExtensionRangeBuilder(int index)`
`repeated .google.protobuf.DescriptorProto.ExtensionRange extension_range = 5 [json_name = "extensionRange"];`
`List<DescriptorProtos.DescriptorProto.ExtensionRange.Builder>`
`getExtensionRangeBuilderList()`
`repeated .google.protobuf.DescriptorProto.ExtensionRange extension_range = 5 [json_name = "extensionRange"];`
`int`
`getExtensionRangeCount()`
`repeated .google.protobuf.DescriptorProto.ExtensionRange extension_range = 5 [json_name = "extensionRange"];`
`List<DescriptorProtos.DescriptorProto.ExtensionRange>`
`getExtensionRangeList()`
`repeated .google.protobuf.DescriptorProto.ExtensionRange extension_range = 5 [json_name = "extensionRange"];`
`DescriptorProtos.DescriptorProto.ExtensionRangeOrBuilder`
`getExtensionRangeOrBuilder(int index)`
`repeated .google.protobuf.DescriptorProto.ExtensionRange extension_range = 5 [json_name = "extensionRange"];`
`List<? extends DescriptorProtos.DescriptorProto.ExtensionRangeOrBuilder>`
`getExtensionRangeOrBuilderList()`
`repeated .google.protobuf.DescriptorProto.ExtensionRange extension_range = 5 [json_name = "extensionRange"];`
`DescriptorProtos.FieldDescriptorProto`
`getField(int index)`
`repeated .google.protobuf.FieldDescriptorProto field = 2 [json_name = "field"];`
`DescriptorProtos.FieldDescriptorProto.Builder`
`getFieldBuilder(int index)`
`repeated .google.protobuf.FieldDescriptorProto field = 2 [json_name = "field"];`
`List<DescriptorProtos.FieldDescriptorProto.Builder>`
`getFieldBuilderList()`
`repeated .google.protobuf.FieldDescriptorProto field = 2 [json_name = "field"];`
`int`
`getFieldCount()`
`repeated .google.protobuf.FieldDescriptorProto field = 2 [json_name = "field"];`
`List<DescriptorProtos.FieldDescriptorProto>`
`getFieldList()`
`repeated .google.protobuf.FieldDescriptorProto field = 2 [json_name = "field"];`
`DescriptorProtos.FieldDescriptorProtoOrBuilder`
`getFieldOrBuilder(int index)`
`repeated .google.protobuf.FieldDescriptorProto field = 2 [json_name = "field"];`
`List<? extends DescriptorProtos.FieldDescriptorProtoOrBuilder>`
`getFieldOrBuilderList()`
`repeated .google.protobuf.FieldDescriptorProto field = 2 [json_name = "field"];`
`String`
`getName()`
`optional string name = 1 [json_name = "name"];`
`ByteString`
`getNameBytes()`
`optional string name = 1 [json_name = "name"];`
`DescriptorProtos.DescriptorProto`
`getNestedType(int index)`
`repeated .google.protobuf.DescriptorProto nested_type = 3 [json_name = "nestedType"];`
`DescriptorProtos.DescriptorProto.Builder`
`getNestedTypeBuilder(int index)`
`repeated .google.protobuf.DescriptorProto nested_type = 3 [json_name = "nestedType"];`
`List<DescriptorProtos.DescriptorProto.Builder>`
`getNestedTypeBuilderList()`
`repeated .google.protobuf.DescriptorProto nested_type = 3 [json_name = "nestedType"];`
`int`
`getNestedTypeCount()`
`repeated .google.protobuf.DescriptorProto nested_type = 3 [json_name = "nestedType"];`
`List<DescriptorProtos.DescriptorProto>`
`getNestedTypeList()`
`repeated .google.protobuf.DescriptorProto nested_type = 3 [json_name = "nestedType"];`
`DescriptorProtos.DescriptorProtoOrBuilder`
`getNestedTypeOrBuilder(int index)`
`repeated .google.protobuf.DescriptorProto nested_type = 3 [json_name = "nestedType"];`
`List<? extends DescriptorProtos.DescriptorProtoOrBuilder>`
`getNestedTypeOrBuilderList()`
`repeated .google.protobuf.DescriptorProto nested_type = 3 [json_name = "nestedType"];`
`DescriptorProtos.OneofDescriptorProto`
`getOneofDecl(int index)`
`repeated .google.protobuf.OneofDescriptorProto oneof_decl = 8 [json_name = "oneofDecl"];`
`DescriptorProtos.OneofDescriptorProto.Builder`
`getOneofDeclBuilder(int index)`
`repeated .google.protobuf.OneofDescriptorProto oneof_decl = 8 [json_name = "oneofDecl"];`
`List<DescriptorProtos.OneofDescriptorProto.Builder>`
`getOneofDeclBuilderList()`
`repeated .google.protobuf.OneofDescriptorProto oneof_decl = 8 [json_name = "oneofDecl"];`
`int`
`getOneofDeclCount()`
`repeated .google.protobuf.OneofDescriptorProto oneof_decl = 8 [json_name = "oneofDecl"];`
`List<DescriptorProtos.OneofDescriptorProto>`
`getOneofDeclList()`
`repeated .google.protobuf.OneofDescriptorProto oneof_decl = 8 [json_name = "oneofDecl"];`
`DescriptorProtos.OneofDescriptorProtoOrBuilder`
`getOneofDeclOrBuilder(int index)`
`repeated .google.protobuf.OneofDescriptorProto oneof_decl = 8 [json_name = "oneofDecl"];`
`List<? extends DescriptorProtos.OneofDescriptorProtoOrBuilder>`
`getOneofDeclOrBuilderList()`
`repeated .google.protobuf.OneofDescriptorProto oneof_decl = 8 [json_name = "oneofDecl"];`
`DescriptorProtos.MessageOptions`
`getOptions()`
`optional .google.protobuf.MessageOptions options = 7 [json_name = "options"];`
`DescriptorProtos.MessageOptions.Builder`
`getOptionsBuilder()`
`optional .google.protobuf.MessageOptions options = 7 [json_name = "options"];`
`DescriptorProtos.MessageOptionsOrBuilder`
`getOptionsOrBuilder()`
`optional .google.protobuf.MessageOptions options = 7 [json_name = "options"];`
`String`
`getReservedName(int index)`
`repeated string reserved_name = 10 [json_name = "reservedName"];`
`ByteString`
`getReservedNameBytes(int index)`
`repeated string reserved_name = 10 [json_name = "reservedName"];`
`int`
`getReservedNameCount()`
`repeated string reserved_name = 10 [json_name = "reservedName"];`
`ProtocolStringList`
`getReservedNameList()`
`repeated string reserved_name = 10 [json_name = "reservedName"];`
`DescriptorProtos.DescriptorProto.ReservedRange`
`getReservedRange(int index)`
`repeated .google.protobuf.DescriptorProto.ReservedRange reserved_range = 9 [json_name = "reservedRange"];`
`DescriptorProtos.DescriptorProto.ReservedRange.Builder`
`getReservedRangeBuilder(int index)`
`repeated .google.protobuf.DescriptorProto.ReservedRange reserved_range = 9 [json_name = "reservedRange"];`
`List<DescriptorProtos.DescriptorProto.ReservedRange.Builder>`
`getReservedRangeBuilderList()`
`repeated .google.protobuf.DescriptorProto.ReservedRange reserved_range = 9 [json_name = "reservedRange"];`
`int`
`getReservedRangeCount()`
`repeated .google.protobuf.DescriptorProto.ReservedRange reserved_range = 9 [json_name = "reservedRange"];`
`List<DescriptorProtos.DescriptorProto.ReservedRange>`
`getReservedRangeList()`
`repeated .google.protobuf.DescriptorProto.ReservedRange reserved_range = 9 [json_name = "reservedRange"];`
`DescriptorProtos.DescriptorProto.ReservedRangeOrBuilder`
`getReservedRangeOrBuilder(int index)`
`repeated .google.protobuf.DescriptorProto.ReservedRange reserved_range = 9 [json_name = "reservedRange"];`
`List<? extends DescriptorProtos.DescriptorProto.ReservedRangeOrBuilder>`
`getReservedRangeOrBuilderList()`
`repeated .google.protobuf.DescriptorProto.ReservedRange reserved_range = 9 [json_name = "reservedRange"];`
`boolean`
`hasName()`
`optional string name = 1 [json_name = "name"];`
`boolean`
`hasOptions()`
`optional .google.protobuf.MessageOptions options = 7 [json_name = "options"];`
`protected GeneratedMessage.FieldAccessorTable`
`internalGetFieldAccessorTable()`
Get the FieldAccessorTable for this type.
`final boolean`
`isInitialized()`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.
`DescriptorProtos.DescriptorProto.Builder`
`mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions.
`DescriptorProtos.DescriptorProto.Builder`
`mergeFrom(DescriptorProtos.DescriptorProto other)`
`DescriptorProtos.DescriptorProto.Builder`
`mergeFrom(Message other)`
Merge `other` into the message being built.
`DescriptorProtos.DescriptorProto.Builder`
`mergeOptions(DescriptorProtos.MessageOptions value)`
`optional .google.protobuf.MessageOptions options = 7 [json_name = "options"];`
`DescriptorProtos.DescriptorProto.Builder`
`removeEnumType(int index)`
`repeated .google.protobuf.EnumDescriptorProto enum_type = 4 [json_name = "enumType"];`
`DescriptorProtos.DescriptorProto.Builder`
`removeExtension(int index)`
`repeated .google.protobuf.FieldDescriptorProto extension = 6 [json_name = "extension"];`
`DescriptorProtos.DescriptorProto.Builder`
`removeExtensionRange(int index)`
`repeated .google.protobuf.DescriptorProto.ExtensionRange extension_range = 5 [json_name = "extensionRange"];`
`DescriptorProtos.DescriptorProto.Builder`
`removeField(int index)`
`repeated .google.protobuf.FieldDescriptorProto field = 2 [json_name = "field"];`
`DescriptorProtos.DescriptorProto.Builder`
`removeNestedType(int index)`
`repeated .google.protobuf.DescriptorProto nested_type = 3 [json_name = "nestedType"];`
`DescriptorProtos.DescriptorProto.Builder`
`removeOneofDecl(int index)`
`repeated .google.protobuf.OneofDescriptorProto oneof_decl = 8 [json_name = "oneofDecl"];`
`DescriptorProtos.DescriptorProto.Builder`
`removeReservedRange(int index)`
`repeated .google.protobuf.DescriptorProto.ReservedRange reserved_range = 9 [json_name = "reservedRange"];`
`DescriptorProtos.DescriptorProto.Builder`
`setEnumType(int index, DescriptorProtos.EnumDescriptorProto value)`
`repeated .google.protobuf.EnumDescriptorProto enum_type = 4 [json_name = "enumType"];`
`DescriptorProtos.DescriptorProto.Builder`
`setEnumType(int index, DescriptorProtos.EnumDescriptorProto.Builder builderForValue)`
`repeated .google.protobuf.EnumDescriptorProto enum_type = 4 [json_name = "enumType"];`
`DescriptorProtos.DescriptorProto.Builder`
`setExtension(int index, DescriptorProtos.FieldDescriptorProto value)`
`repeated .google.protobuf.FieldDescriptorProto extension = 6 [json_name = "extension"];`
`DescriptorProtos.DescriptorProto.Builder`
`setExtension(int index, DescriptorProtos.FieldDescriptorProto.Builder builderForValue)`
`repeated .google.protobuf.FieldDescriptorProto extension = 6 [json_name = "extension"];`
`DescriptorProtos.DescriptorProto.Builder`
`setExtensionRange(int index, DescriptorProtos.DescriptorProto.ExtensionRange value)`
`repeated .google.protobuf.DescriptorProto.ExtensionRange extension_range = 5 [json_name = "extensionRange"];`
`DescriptorProtos.DescriptorProto.Builder`
`setExtensionRange(int index, DescriptorProtos.DescriptorProto.ExtensionRange.Builder builderForValue)`
`repeated .google.protobuf.DescriptorProto.ExtensionRange extension_range = 5 [json_name = "extensionRange"];`
`DescriptorProtos.DescriptorProto.Builder`
`setField(int index, DescriptorProtos.FieldDescriptorProto value)`
`repeated .google.protobuf.FieldDescriptorProto field = 2 [json_name = "field"];`
`DescriptorProtos.DescriptorProto.Builder`
`setField(int index, DescriptorProtos.FieldDescriptorProto.Builder builderForValue)`
`repeated .google.protobuf.FieldDescriptorProto field = 2 [json_name = "field"];`
`DescriptorProtos.DescriptorProto.Builder`
`setName(String value)`
`optional string name = 1 [json_name = "name"];`
`DescriptorProtos.DescriptorProto.Builder`
`setNameBytes(ByteString value)`
`optional string name = 1 [json_name = "name"];`
`DescriptorProtos.DescriptorProto.Builder`
`setNestedType(int index, DescriptorProtos.DescriptorProto value)`
`repeated .google.protobuf.DescriptorProto nested_type = 3 [json_name = "nestedType"];`
`DescriptorProtos.DescriptorProto.Builder`
`setNestedType(int index, DescriptorProtos.DescriptorProto.Builder builderForValue)`
`repeated .google.protobuf.DescriptorProto nested_type = 3 [json_name = "nestedType"];`
`DescriptorProtos.DescriptorProto.Builder`
`setOneofDecl(int index, DescriptorProtos.OneofDescriptorProto value)`
`repeated .google.protobuf.OneofDescriptorProto oneof_decl = 8 [json_name = "oneofDecl"];`
`DescriptorProtos.DescriptorProto.Builder`
`setOneofDecl(int index, DescriptorProtos.OneofDescriptorProto.Builder builderForValue)`
`repeated .google.protobuf.OneofDescriptorProto oneof_decl = 8 [json_name = "oneofDecl"];`
`DescriptorProtos.DescriptorProto.Builder`
`setOptions(DescriptorProtos.MessageOptions value)`
`optional .google.protobuf.MessageOptions options = 7 [json_name = "options"];`
`DescriptorProtos.DescriptorProto.Builder`
`setOptions(DescriptorProtos.MessageOptions.Builder builderForValue)`
`optional .google.protobuf.MessageOptions options = 7 [json_name = "options"];`
`DescriptorProtos.DescriptorProto.Builder`
`setReservedName(int index, String value)`
`repeated string reserved_name = 10 [json_name = "reservedName"];`
`DescriptorProtos.DescriptorProto.Builder`
`setReservedRange(int index, DescriptorProtos.DescriptorProto.ReservedRange value)`
`repeated .google.protobuf.DescriptorProto.ReservedRange reserved_range = 9 [json_name = "reservedRange"];`
`DescriptorProtos.DescriptorProto.Builder`
`setReservedRange(int index, DescriptorProtos.DescriptorProto.ReservedRange.Builder builderForValue)`
`repeated .google.protobuf.DescriptorProto.ReservedRange reserved_range = 9 [json_name = "reservedRange"];`

### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

`addRepeatedField, clearField, clearOneof, clone, getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, internalGetMutableMapField, internalGetMutableMapFieldReflection, isClean, markClean, mergeUnknownFields, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()
Description copied from class: `GeneratedMessage.Builder`
Get the FieldAccessorTable for this type. We can't have the message class pass this in to the constructor because of bootstrapping trouble with DescriptorProtos.

Specified by:
  `internalGetFieldAccessorTable` in class `GeneratedMessage.Builder<DescriptorProtos.DescriptorProto.Builder>`

### clear

public DescriptorProtos.DescriptorProto.Builder clear()
Description copied from class: `GeneratedMessage.Builder`
Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.

Specified by:
  `clear` in interface `Message.Builder`
Specified by:
  `clear` in interface `MessageLite.Builder`
Overrides:
  `clear` in class `GeneratedMessage.Builder<DescriptorProtos.DescriptorProto.Builder>`

### getDescriptorForType

public Descriptors.Descriptor getDescriptorForType()
Description copied from interface: `Message.Builder`
Get the message's type's descriptor. See `MessageOrBuilder.getDescriptorForType()`.

Specified by:
  `getDescriptorForType` in interface `Message.Builder`
Specified by:
  `getDescriptorForType` in interface `MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `GeneratedMessage.Builder<DescriptorProtos.DescriptorProto.Builder>`

### getDefaultInstanceForType

public DescriptorProtos.DescriptorProto getDefaultInstanceForType()
Description copied from interface: `MessageLiteOrBuilder`
Get an instance of the type with no fields set. Because no fields are set, all getters for singular fields will return default values and repeated fields will appear empty. This may or may not be a singleton. This differs from the `getDefaultInstance()` method of generated message classes in that this method is an abstract method of the `MessageLite` interface whereas `getDefaultInstance()` is a static method of a specific class. They return the same thing.

Specified by:
  `getDefaultInstanceForType` in interface `MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `MessageOrBuilder`

### build

public DescriptorProtos.DescriptorProto build()
Description copied from interface: `MessageLite.Builder`
Constructs the message based on the state of the Builder. Subsequent changes to the Builder will not affect the returned message.

Specified by:
  `build` in interface `Message.Builder`
Specified by:
  `build` in interface `MessageLite.Builder`

### buildPartial

public DescriptorProtos.DescriptorProto buildPartial()
Description copied from interface: `MessageLite.Builder`
Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields. Instead, a partial message is returned. Subsequent changes to the Builder will not affect the returned message.

Specified by:
  `buildPartial` in interface `Message.Builder`
Specified by:
  `buildPartial` in interface `MessageLite.Builder`

### mergeFrom

public DescriptorProtos.DescriptorProto.Builder mergeFrom(Message other)
Description copied from interface: `Message.Builder`
Merge `other` into the message being built. `other` must have the exact same type as `this` (i.e. `getDescriptorForType() == other.getDescriptorForType()`).

Merging occurs as follows. For each field:
* For singular primitive fields, if the field is set in `other`, then `other`'s value overwrites the value in this message.
* For singular message fields, if the field is set in `other`, it is merged into the corresponding sub-message of this message using the same merging rules.
* For repeated fields, the elements in `other` are concatenated with the elements in this message.
* For oneof groups, if the other message has one of the fields set, the group of this message is cleared and replaced by the field of the other message, so that the oneof constraint is preserved.

This is equivalent to the `Message::MergeFrom` method in C++.

Specified by:
  `mergeFrom` in interface `Message.Builder`
Overrides:
  `mergeFrom` in class `AbstractMessage.Builder<DescriptorProtos.DescriptorProto.Builder>`

### mergeFrom

public DescriptorProtos.DescriptorProto.Builder mergeFrom(DescriptorProtos.DescriptorProto other)

### isInitialized

public final boolean isInitialized()
Description copied from interface: `MessageLiteOrBuilder`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.

See also: `MessageOrBuilder.getInitializationErrorString()`

Specified by:
  `isInitialized` in interface `MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `GeneratedMessage.Builder<DescriptorProtos.DescriptorProto.Builder>`

### mergeFrom

public DescriptorProtos.DescriptorProto.Builder mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry) throws IOException
Description copied from interface: `MessageLite.Builder`
Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions. The extensions that you want to be able to parse must be registered in `extensionRegistry`. Extensions not in the registry will be treated as unknown fields.

Specified by:
  `mergeFrom` in interface `Message.Builder`
Specified by:
  `mergeFrom` in interface `MessageLite.Builder`
Overrides:
  `mergeFrom` in class `AbstractMessage.Builder<DescriptorProtos.DescriptorProto.Builder>`
Throws:
  `IOException` - an I/O error reading from the stream

### hasName

public boolean hasName()
`optional string name = 1 [json_name = "name"];`

Specified by:
  `hasName` in interface `DescriptorProtos.DescriptorProtoOrBuilder`
Returns:
  Whether the name field is set.

### getName

public String getName()
`optional string name = 1 [json_name = "name"];`

Specified by:
  `getName` in interface `DescriptorProtos.DescriptorProtoOrBuilder`
Returns:
  The name.

### getNameBytes

public ByteString getNameBytes()
`optional string name = 1 [json_name = "name"];`

Specified by:
  `getNameBytes` in interface `DescriptorProtos.DescriptorProtoOrBuilder`
Returns:
  The bytes for name.

### setName

public DescriptorProtos.DescriptorProto.Builder setName(String value)
`optional string name = 1 [json_name = "name"];`

Parameters:
  `value` - The name to set.
Returns:
  This builder for chaining.

### clearName

public DescriptorProtos.DescriptorProto.Builder clearName()
`optional string name = 1 [json_name = "name"];`

Returns:
  This builder for chaining.

### setNameBytes

public DescriptorProtos.DescriptorProto.Builder setNameBytes(ByteString value)
`optional string name = 1 [json_name = "name"];`

Parameters:
  `value` - The bytes for name to set.
Returns:
  This builder for chaining.

### getFieldList

public List<DescriptorProtos.FieldDescriptorProto> getFieldList()
`repeated .google.protobuf.FieldDescriptorProto field = 2 [json_name = "field"];`

Specified by:
  `getFieldList` in interface `DescriptorProtos.DescriptorProtoOrBuilder`

### getFieldCount

public int getFieldCount()
`repeated .google.protobuf.FieldDescriptorProto field = 2 [json_name = "field"];`

Specified by:
  `getFieldCount` in interface `DescriptorProtos.DescriptorProtoOrBuilder`

### getField

public DescriptorProtos.FieldDescriptorProto getField(int index)
`repeated .google.protobuf.FieldDescriptorProto field = 2 [json_name = "field"];`

Specified by:
  `getField` in interface `DescriptorProtos.DescriptorProtoOrBuilder`

### setField

public DescriptorProtos.DescriptorProto.Builder setField(int index, DescriptorProtos.FieldDescriptorProto value)
`repeated .google.protobuf.FieldDescriptorProto field = 2 [json_name = "field"];`

### setField

public DescriptorProtos.DescriptorProto.Builder setField(int index, DescriptorProtos.FieldDescriptorProto.Builder builderForValue)
`repeated .google.protobuf.FieldDescriptorProto field = 2 [json_name = "field"];`

### addField

public DescriptorProtos.DescriptorProto.Builder addField(DescriptorProtos.FieldDescriptorProto value)
`repeated .google.protobuf.FieldDescriptorProto field = 2 [json_name = "field"];`

### addField

public DescriptorProtos.DescriptorProto.Builder addField(int index, DescriptorProtos.FieldDescriptorProto value)
`repeated .google.protobuf.FieldDescriptorProto field = 2 [json_name = "field"];`

### addField

public DescriptorProtos.DescriptorProto.Builder addField(DescriptorProtos.FieldDescriptorProto.Builder builderForValue)
`repeated .google.protobuf.FieldDescriptorProto field = 2 [json_name = "field"];`

### addField

public DescriptorProtos.DescriptorProto.Builder addField(int index, DescriptorProtos.FieldDescriptorProto.Builder builderForValue)
`repeated .google.protobuf.FieldDescriptorProto field = 2 [json_name = "field"];`

### addAllField

public DescriptorProtos.DescriptorProto.Builder addAllField(Iterable<? extends DescriptorProtos.FieldDescriptorProto> values)
`repeated .google.protobuf.FieldDescriptorProto field = 2 [json_name = "field"];`

### clearField

public DescriptorProtos.DescriptorProto.Builder clearField()
`repeated .google.protobuf.FieldDescriptorProto field = 2 [json_name = "field"];`

### removeField

public DescriptorProtos.DescriptorProto.Builder removeField(int index)
`repeated .google.protobuf.FieldDescriptorProto field = 2 [json_name = "field"];`

### getFieldBuilder

public DescriptorProtos.FieldDescriptorProto.Builder getFieldBuilder(int index)
`repeated .google.protobuf.FieldDescriptorProto field = 2 [json_name = "field"];`

### getFieldOrBuilder

public DescriptorProtos.FieldDescriptorProtoOrBuilder getFieldOrBuilder(int index)
`repeated .google.protobuf.FieldDescriptorProto field = 2 [json_name = "field"];`

Specified by:
  `getFieldOrBuilder` in interface `DescriptorProtos.DescriptorProtoOrBuilder`

### getFieldOrBuilderList

public List<? extends DescriptorProtos.FieldDescriptorProtoOrBuilder> getFieldOrBuilderList()
`repeated .google.protobuf.FieldDescriptorProto field = 2 [json_name = "field"];`

Specified by:
  `getFieldOrBuilderList` in interface `DescriptorProtos.DescriptorProtoOrBuilder`

### addFieldBuilder

public DescriptorProtos.FieldDescriptorProto.Builder addFieldBuilder()
`repeated .google.protobuf.FieldDescriptorProto field = 2 [json_name = "field"];`

### addFieldBuilder

public DescriptorProtos.FieldDescriptorProto.Builder addFieldBuilder(int index)
`repeated .google.protobuf.FieldDescriptorProto field = 2 [json_name = "field"];`

### getFieldBuilderList

public List<DescriptorProtos.FieldDescriptorProto.Builder> getFieldBuilderList()
`repeated .google.protobuf.FieldDescriptorProto field = 2 [json_name = "field"];`

### getExtensionList

public List<DescriptorProtos.FieldDescriptorProto> getExtensionList()
`repeated .google.protobuf.FieldDescriptorProto extension = 6 [json_name = "extension"];`

Specified by:
  `getExtensionList` in interface `DescriptorProtos.DescriptorProtoOrBuilder`

### getExtensionCount

public int getExtensionCount()
`repeated .google.protobuf.FieldDescriptorProto extension = 6 [json_name = "extension"];`

Specified by:
  `getExtensionCount` in interface `DescriptorProtos.DescriptorProtoOrBuilder`

### getExtension

public DescriptorProtos.FieldDescriptorProto getExtension(int index)
`repeated .google.protobuf.FieldDescriptorProto extension = 6 [json_name = "extension"];`

Specified by:
  `getExtension` in interface `DescriptorProtos.DescriptorProtoOrBuilder`

### setExtension

public DescriptorProtos.DescriptorProto.Builder setExtension(int index, DescriptorProtos.FieldDescriptorProto value)
`repeated .google.protobuf.FieldDescriptorProto extension = 6 [json_name = "extension"];`

### setExtension

public DescriptorProtos.DescriptorProto.Builder setExtension(int index, DescriptorProtos.FieldDescriptorProto.Builder builderForValue)
`repeated .google.protobuf.FieldDescriptorProto extension = 6 [json_name = "extension"];`

### addExtension

public DescriptorProtos.DescriptorProto.Builder addExtension(DescriptorProtos.FieldDescriptorProto value)
`repeated .google.protobuf.FieldDescriptorProto extension = 6 [json_name = "extension"];`

### addExtension

public DescriptorProtos.DescriptorProto.Builder addExtension(int index, DescriptorProtos.FieldDescriptorProto value)
`repeated .google.protobuf.FieldDescriptorProto extension = 6 [json_name = "extension"];`

### addExtension

public DescriptorProtos.DescriptorProto.Builder addExtension(DescriptorProtos.FieldDescriptorProto.Builder builderForValue)
`repeated .google.protobuf.FieldDescriptorProto extension = 6 [json_name = "extension"];`

### addExtension

public DescriptorProtos.DescriptorProto.Builder addExtension(int index, DescriptorProtos.FieldDescriptorProto.Builder builderForValue)
`repeated .google.protobuf.FieldDescriptorProto extension = 6 [json_name = "extension"];`

### addAllExtension

public DescriptorProtos.DescriptorProto.Builder addAllExtension(Iterable<? extends DescriptorProtos.FieldDescriptorProto> values)
`repeated .google.protobuf.FieldDescriptorProto extension = 6 [json_name = "extension"];`

### clearExtension

public DescriptorProtos.DescriptorProto.Builder clearExtension()
`repeated .google.protobuf.FieldDescriptorProto extension = 6 [json_name = "extension"];`

### removeExtension

public DescriptorProtos.DescriptorProto.Builder removeExtension(int index)
`repeated .google.protobuf.FieldDescriptorProto extension = 6 [json_name = "extension"];`

### getExtensionBuilder

public DescriptorProtos.FieldDescriptorProto.Builder getExtensionBuilder(int index)
`repeated .google.protobuf.FieldDescriptorProto extension = 6 [json_name = "extension"];`

### getExtensionOrBuilder

public DescriptorProtos.FieldDescriptorProtoOrBuilder getExtensionOrBuilder(int index)
`repeated .google.protobuf.FieldDescriptorProto extension = 6 [json_name = "extension"];`

Specified by:
  `getExtensionOrBuilder` in interface `DescriptorProtos.DescriptorProtoOrBuilder`

### getExtensionOrBuilderList

public List<? extends DescriptorProtos.FieldDescriptorProtoOrBuilder> getExtensionOrBuilderList()
`repeated .google.protobuf.FieldDescriptorProto extension = 6 [json_name = "extension"];`

Specified by:
  `getExtensionOrBuilderList` in interface `DescriptorProtos.DescriptorProtoOrBuilder`

### addExtensionBuilder

public DescriptorProtos.FieldDescriptorProto.Builder addExtensionBuilder()
`repeated .google.protobuf.FieldDescriptorProto extension = 6 [json_name = "extension"];`

### addExtensionBuilder

public DescriptorProtos.FieldDescriptorProto.Builder addExtensionBuilder(int index)
`repeated .google.protobuf.FieldDescriptorProto extension = 6 [json_name = "extension"];`

### getExtensionBuilderList

public List<DescriptorProtos.FieldDescriptorProto.Builder> getExtensionBuilderList()
`repeated .google.protobuf.FieldDescriptorProto extension = 6 [json_name = "extension"];`

### getNestedTypeList

public List<DescriptorProtos.DescriptorProto> getNestedTypeList()
`repeated .google.protobuf.DescriptorProto nested_type = 3 [json_name = "nestedType"];`

Specified by:
  `getNestedTypeList` in interface `DescriptorProtos.DescriptorProtoOrBuilder`

### getNestedTypeCount

public int getNestedTypeCount()
`repeated .google.protobuf.DescriptorProto nested_type = 3 [json_name = "nestedType"];`

Specified by:
  `getNestedTypeCount` in interface `DescriptorProtos.DescriptorProtoOrBuilder`

### getNestedType

public DescriptorProtos.DescriptorProto getNestedType(int index)
`repeated .google.protobuf.DescriptorProto nested_type = 3 [json_name = "nestedType"];`

Specified by:
  `getNestedType` in interface `DescriptorProtos.DescriptorProtoOrBuilder`

### setNestedType

public DescriptorProtos.DescriptorProto.Builder setNestedType(int index, DescriptorProtos.DescriptorProto value)
`repeated .google.protobuf.DescriptorProto nested_type = 3 [json_name = "nestedType"];`

### setNestedType

public DescriptorProtos.DescriptorProto.Builder setNestedType(int index, DescriptorProtos.DescriptorProto.Builder builderForValue)
`repeated .google.protobuf.DescriptorProto nested_type = 3 [json_name = "nestedType"];`

### addNestedType

public DescriptorProtos.DescriptorProto.Builder addNestedType(DescriptorProtos.DescriptorProto value)
`repeated .google.protobuf.DescriptorProto nested_type = 3 [json_name = "nestedType"];`

### addNestedType

public DescriptorProtos.DescriptorProto.Builder addNestedType(int index, DescriptorProtos.DescriptorProto value)
`repeated .google.protobuf.DescriptorProto nested_type = 3 [json_name = "nestedType"];`

### addNestedType

public DescriptorProtos.DescriptorProto.Builder addNestedType(DescriptorProtos.DescriptorProto.Builder builderForValue)
`repeated .google.protobuf.DescriptorProto nested_type = 3 [json_name = "nestedType"];`

### addNestedType

public DescriptorProtos.DescriptorProto.Builder addNestedType(int index, DescriptorProtos.DescriptorProto.Builder builderForValue)
`repeated .google.protobuf.DescriptorProto nested_type = 3 [json_name = "nestedType"];`

### addAllNestedType

public DescriptorProtos.DescriptorProto.Builder addAllNestedType(Iterable<? extends DescriptorProtos.DescriptorProto> values)
`repeated .google.protobuf.DescriptorProto nested_type = 3 [json_name = "nestedType"];`

### clearNestedType

public DescriptorProtos.DescriptorProto.Builder clearNestedType()
`repeated .google.protobuf.DescriptorProto nested_type = 3 [json_name = "nestedType"];`

### removeNestedType

public DescriptorProtos.DescriptorProto.Builder removeNestedType(int index)
`repeated .google.protobuf.DescriptorProto nested_type = 3 [json_name = "nestedType"];`

### getNestedTypeBuilder

public DescriptorProtos.DescriptorProto.Builder getNestedTypeBuilder(int index)
`repeated .google.protobuf.DescriptorProto nested_type = 3 [json_name = "nestedType"];`

### getNestedTypeOrBuilder

public DescriptorProtos.DescriptorProtoOrBuilder getNestedTypeOrBuilder(int index)
`repeated .google.protobuf.DescriptorProto nested_type = 3 [json_name = "nestedType"];`

Specified by:
  `getNestedTypeOrBuilder` in interface `DescriptorProtos.DescriptorProtoOrBuilder`

### getNestedTypeOrBuilderList

public List<? extends DescriptorProtos.DescriptorProtoOrBuilder> getNestedTypeOrBuilderList()
`repeated .google.protobuf.DescriptorProto nested_type = 3 [json_name = "nestedType"];`

Specified by:
  `getNestedTypeOrBuilderList` in interface `DescriptorProtos.DescriptorProtoOrBuilder`

### addNestedTypeBuilder

public DescriptorProtos.DescriptorProto.Builder addNestedTypeBuilder()
`repeated .google.protobuf.DescriptorProto nested_type = 3 [json_name = "nestedType"];`

### addNestedTypeBuilder

public DescriptorProtos.DescriptorProto.Builder addNestedTypeBuilder(int index)
`repeated .google.protobuf.DescriptorProto nested_type = 3 [json_name = "nestedType"];`

### getNestedTypeBuilderList

public List<DescriptorProtos.DescriptorProto.Builder> getNestedTypeBuilderList()
`repeated .google.protobuf.DescriptorProto nested_type = 3 [json_name = "nestedType"];`

### getEnumTypeList

public List<DescriptorProtos.EnumDescriptorProto> getEnumTypeList()
`repeated .google.protobuf.EnumDescriptorProto enum_type = 4 [json_name = "enumType"];`

Specified by:
  `getEnumTypeList` in interface `DescriptorProtos.DescriptorProtoOrBuilder`

### getEnumTypeCount

public int getEnumTypeCount()
`repeated .google.protobuf.EnumDescriptorProto enum_type = 4 [json_name = "enumType"];`

Specified by:
  `getEnumTypeCount` in interface `DescriptorProtos.DescriptorProtoOrBuilder`

### getEnumType

public DescriptorProtos.EnumDescriptorProto getEnumType(int index)
`repeated .google.protobuf.EnumDescriptorProto enum_type = 4 [json_name = "enumType"];`

Specified by:
  `getEnumType` in interface `DescriptorProtos.DescriptorProtoOrBuilder`

### setEnumType

public DescriptorProtos.DescriptorProto.Builder setEnumType(int index, DescriptorProtos.EnumDescriptorProto value)
`repeated .google.protobuf.EnumDescriptorProto enum_type = 4 [json_name = "enumType"];`

### setEnumType

public DescriptorProtos.DescriptorProto.Builder setEnumType(int index, DescriptorProtos.EnumDescriptorProto.Builder builderForValue)
`repeated .google.protobuf.EnumDescriptorProto enum_type = 4 [json_name = "enumType"];`

### addEnumType

public DescriptorProtos.DescriptorProto.Builder addEnumType(DescriptorProtos.EnumDescriptorProto value)
`repeated .google.protobuf.EnumDescriptorProto enum_type = 4 [json_name = "enumType"];`

### addEnumType

public DescriptorProtos.DescriptorProto.Builder addEnumType(int index, DescriptorProtos.EnumDescriptorProto value)
`repeated .google.protobuf.EnumDescriptorProto enum_type = 4 [json_name = "enumType"];`

### addEnumType

public DescriptorProtos.DescriptorProto.Builder addEnumType(DescriptorProtos.EnumDescriptorProto.Builder builderForValue)
`repeated .google.protobuf.EnumDescriptorProto enum_type = 4 [json_name = "enumType"];`

### addEnumType

public DescriptorProtos.DescriptorProto.Builder addEnumType(int index, DescriptorProtos.EnumDescriptorProto.Builder builderForValue)
`repeated .google.protobuf.EnumDescriptorProto enum_type = 4 [json_name = "enumType"];`

### addAllEnumType

public DescriptorProtos.DescriptorProto.Builder addAllEnumType(Iterable<? extends DescriptorProtos.EnumDescriptorProto> values)
`repeated .google.protobuf.EnumDescriptorProto enum_type = 4 [json_name = "enumType"];`

### clearEnumType

public DescriptorProtos.DescriptorProto.Builder clearEnumType()
`repeated .google.protobuf.EnumDescriptorProto enum_type = 4 [json_name = "enumType"];`

### removeEnumType

public DescriptorProtos.DescriptorProto.Builder removeEnumType(int index)
`repeated .google.protobuf.EnumDescriptorProto enum_type = 4 [json_name = "enumType"];`

### getEnumTypeBuilder

public DescriptorProtos.EnumDescriptorProto.Builder getEnumTypeBuilder(int index)
`repeated .google.protobuf.EnumDescriptorProto enum_type = 4 [json_name = "enumType"];`

### getEnumTypeOrBuilder

public DescriptorProtos.EnumDescriptorProtoOrBuilder getEnumTypeOrBuilder(int index)
`repeated .google.protobuf.EnumDescriptorProto enum_type = 4 [json_name = "enumType"];`

Specified by:
  `getEnumTypeOrBuilder` in interface `DescriptorProtos.DescriptorProtoOrBuilder`

### getEnumTypeOrBuilderList

public List<? extends DescriptorProtos.EnumDescriptorProtoOrBuilder> getEnumTypeOrBuilderList()
`repeated .google.protobuf.EnumDescriptorProto enum_type = 4 [json_name = "enumType"];`

Specified by:
  `getEnumTypeOrBuilderList` in interface `DescriptorProtos.DescriptorProtoOrBuilder`

### addEnumTypeBuilder

public DescriptorProtos.EnumDescriptorProto.Builder addEnumTypeBuilder()
`repeated .google.protobuf.EnumDescriptorProto enum_type = 4 [json_name = "enumType"];`

### addEnumTypeBuilder

public DescriptorProtos.EnumDescriptorProto.Builder addEnumTypeBuilder(int index)
`repeated .google.protobuf.EnumDescriptorProto enum_type = 4 [json_name = "enumType"];`

### getEnumTypeBuilderList

public List<DescriptorProtos.EnumDescriptorProto.Builder> getEnumTypeBuilderList()
`repeated .google.protobuf.EnumDescriptorProto enum_type = 4 [json_name = "enumType"];`

### getExtensionRangeList

public List<DescriptorProtos.DescriptorProto.ExtensionRange> getExtensionRangeList()
`repeated .google.protobuf.DescriptorProto.ExtensionRange extension_range = 5 [json_name = "extensionRange"];`

Specified by:
  `getExtensionRangeList` in interface `DescriptorProtos.DescriptorProtoOrBuilder`

### getExtensionRangeCount

public int getExtensionRangeCount()
`repeated .google.protobuf.DescriptorProto.ExtensionRange extension_range = 5 [json_name = "extensionRange"];`

Specified by:
  `getExtensionRangeCount` in interface `DescriptorProtos.DescriptorProtoOrBuilder`

### getExtensionRange

public DescriptorProtos.DescriptorProto.ExtensionRange getExtensionRange(int index)
`repeated .google.protobuf.DescriptorProto.ExtensionRange extension_range = 5 [json_name = "extensionRange"];`

Specified by:
  `getExtensionRange` in interface `DescriptorProtos.DescriptorProtoOrBuilder`

### setExtensionRange

public DescriptorProtos.DescriptorProto.Builder setExtensionRange(int index, DescriptorProtos.DescriptorProto.ExtensionRange value)
`repeated .google.protobuf.DescriptorProto.ExtensionRange extension_range = 5 [json_name = "extensionRange"];`

### setExtensionRange

public DescriptorProtos.DescriptorProto.Builder setExtensionRange(int index, DescriptorProtos.DescriptorProto.ExtensionRange.Builder builderForValue)
`repeated .google.protobuf.DescriptorProto.ExtensionRange extension_range = 5 [json_name = "extensionRange"];`

### addExtensionRange

public DescriptorProtos.DescriptorProto.Builder addExtensionRange(DescriptorProtos.DescriptorProto.ExtensionRange value)
`repeated .google.protobuf.DescriptorProto.ExtensionRange extension_range = 5 [json_name = "extensionRange"];`

### addExtensionRange

public DescriptorProtos.DescriptorProto.Builder addExtensionRange(int index, DescriptorProtos.DescriptorProto.ExtensionRange value)
`repeated .google.protobuf.DescriptorProto.ExtensionRange extension_range = 5 [json_name = "extensionRange"];`

### addExtensionRange

public DescriptorProtos.DescriptorProto.Builder addExtensionRange(DescriptorProtos.DescriptorProto.ExtensionRange.Builder builderForValue)
`repeated .google.protobuf.DescriptorProto.ExtensionRange extension_range = 5 [json_name = "extensionRange"];`

### addExtensionRange

public DescriptorProtos.DescriptorProto.Builder addExtensionRange(int index, DescriptorProtos.DescriptorProto.ExtensionRange.Builder builderForValue)
`repeated .google.protobuf.DescriptorProto.ExtensionRange extension_range = 5 [json_name = "extensionRange"];`

### addAllExtensionRange

public DescriptorProtos.DescriptorProto.Builder addAllExtensionRange(Iterable<? extends DescriptorProtos.DescriptorProto.ExtensionRange> values)
`repeated .google.protobuf.DescriptorProto.ExtensionRange extension_range = 5 [json_name = "extensionRange"];`

### clearExtensionRange

public DescriptorProtos.DescriptorProto.Builder clearExtensionRange()
`repeated .google.protobuf.DescriptorProto.ExtensionRange extension_range = 5 [json_name = "extensionRange"];`

### removeExtensionRange

public DescriptorProtos.DescriptorProto.Builder removeExtensionRange(int index)
`repeated .google.protobuf.DescriptorProto.ExtensionRange extension_range = 5 [json_name = "extensionRange"];`

### getExtensionRangeBuilder

public DescriptorProtos.DescriptorProto.ExtensionRange.Builder getExtensionRangeBuilder(int index)
`repeated .google.protobuf.DescriptorProto.ExtensionRange extension_range = 5 [json_name = "extensionRange"];`

### getExtensionRangeOrBuilder

public DescriptorProtos.DescriptorProto.ExtensionRangeOrBuilder getExtensionRangeOrBuilder(int index)
`repeated .google.protobuf.DescriptorProto.ExtensionRange extension_range = 5 [json_name = "extensionRange"];`

Specified by:
  `getExtensionRangeOrBuilder` in interface `DescriptorProtos.DescriptorProtoOrBuilder`

### getExtensionRangeOrBuilderList

public List<? extends DescriptorProtos.DescriptorProto.ExtensionRangeOrBuilder> getExtensionRangeOrBuilderList()
`repeated .google.protobuf.DescriptorProto.ExtensionRange extension_range = 5 [json_name = "extensionRange"];`

Specified by:
  `getExtensionRangeOrBuilderList` in interface `DescriptorProtos.DescriptorProtoOrBuilder`

### addExtensionRangeBuilder

public DescriptorProtos.DescriptorProto.ExtensionRange.Builder addExtensionRangeBuilder()
`repeated .google.protobuf.DescriptorProto.ExtensionRange extension_range = 5 [json_name = "extensionRange"];`

### addExtensionRangeBuilder

public DescriptorProtos.DescriptorProto.ExtensionRange.Builder addExtensionRangeBuilder(int index)
`repeated .google.protobuf.DescriptorProto.ExtensionRange extension_range = 5 [json_name = "extensionRange"];`

### getExtensionRangeBuilderList

public List<DescriptorProtos.DescriptorProto.ExtensionRange.Builder> getExtensionRangeBuilderList()
`repeated .google.protobuf.DescriptorProto.ExtensionRange extension_range = 5 [json_name = "extensionRange"];`

### getOneofDeclList

public List<DescriptorProtos.OneofDescriptorProto> getOneofDeclList()
`repeated .google.protobuf.OneofDescriptorProto oneof_decl = 8 [json_name = "oneofDecl"];`

Specified by:
  `getOneofDeclList` in interface `DescriptorProtos.DescriptorProtoOrBuilder`

### getOneofDeclCount

public int getOneofDeclCount()
`repeated .google.protobuf.OneofDescriptorProto oneof_decl = 8 [json_name = "oneofDecl"];`

Specified by:
  `getOneofDeclCount` in interface `DescriptorProtos.DescriptorProtoOrBuilder`

### getOneofDecl

public DescriptorProtos.OneofDescriptorProto getOneofDecl(int index)
`repeated .google.protobuf.OneofDescriptorProto oneof_decl = 8 [json_name = "oneofDecl"];`

Specified by:
  `getOneofDecl` in interface `DescriptorProtos.DescriptorProtoOrBuilder`

### setOneofDecl

public DescriptorProtos.DescriptorProto.Builder setOneofDecl(int index, DescriptorProtos.OneofDescriptorProto value)
`repeated .google.protobuf.OneofDescriptorProto oneof_decl = 8 [json_name = "oneofDecl"];`

### setOneofDecl

public DescriptorProtos.DescriptorProto.Builder setOneofDecl(int index, DescriptorProtos.OneofDescriptorProto.Builder builderForValue)
`repeated .google.protobuf.OneofDescriptorProto oneof_decl = 8 [json_name = "oneofDecl"];`

### addOneofDecl

public DescriptorProtos.DescriptorProto.Builder addOneofDecl(DescriptorProtos.OneofDescriptorProto value)
`repeated .google.protobuf.OneofDescriptorProto oneof_decl = 8 [json_name = "oneofDecl"];`

### addOneofDecl

public DescriptorProtos.DescriptorProto.Builder addOneofDecl(int index, DescriptorProtos.OneofDescriptorProto value)
`repeated .google.protobuf.OneofDescriptorProto oneof_decl = 8 [json_name = "oneofDecl"];`

### addOneofDecl

public DescriptorProtos.DescriptorProto.Builder addOneofDecl(DescriptorProtos.OneofDescriptorProto.Builder builderForValue)
`repeated .google.protobuf.OneofDescriptorProto oneof_decl = 8 [json_name = "oneofDecl"];`

### addOneofDecl

public DescriptorProtos.DescriptorProto.Builder addOneofDecl(int index, DescriptorProtos.OneofDescriptorProto.Builder builderForValue)
`repeated .google.protobuf.OneofDescriptorProto oneof_decl = 8 [json_name = "oneofDecl"];`

### addAllOneofDecl

public DescriptorProtos.DescriptorProto.Builder addAllOneofDecl(Iterable<? extends DescriptorProtos.OneofDescriptorProto> values)
`repeated .google.protobuf.OneofDescriptorProto oneof_decl = 8 [json_name = "oneofDecl"];`

### clearOneofDecl

public DescriptorProtos.DescriptorProto.Builder clearOneofDecl()
`repeated .google.protobuf.OneofDescriptorProto oneof_decl = 8 [json_name = "oneofDecl"];`

### removeOneofDecl

public DescriptorProtos.DescriptorProto.Builder removeOneofDecl(int index)
`repeated .google.protobuf.OneofDescriptorProto oneof_decl = 8 [json_name = "oneofDecl"];`

### getOneofDeclBuilder

public DescriptorProtos.OneofDescriptorProto.Builder getOneofDeclBuilder(int index)
`repeated .google.protobuf.OneofDescriptorProto oneof_decl = 8 [json_name = "oneofDecl"];`

### getOneofDeclOrBuilder

public DescriptorProtos.OneofDescriptorProtoOrBuilder getOneofDeclOrBuilder(int index)
`repeated .google.protobuf.OneofDescriptorProto oneof_decl = 8 [json_name = "oneofDecl"];`

Specified by:
  `getOneofDeclOrBuilder` in interface `DescriptorProtos.DescriptorProtoOrBuilder`

### getOneofDeclOrBuilderList

public List<? extends DescriptorProtos.OneofDescriptorProtoOrBuilder> getOneofDeclOrBuilderList()
`repeated .google.protobuf.OneofDescriptorProto oneof_decl = 8 [json_name = "oneofDecl"];`

Specified by:
  `getOneofDeclOrBuilderList` in interface `DescriptorProtos.DescriptorProtoOrBuilder`

### addOneofDeclBuilder

public DescriptorProtos.OneofDescriptorProto.Builder addOneofDeclBuilder()
`repeated .google.protobuf.OneofDescriptorProto oneof_decl = 8 [json_name = "oneofDecl"];`

### addOneofDeclBuilder

public DescriptorProtos.OneofDescriptorProto.Builder addOneofDeclBuilder(int index)
`repeated .google.protobuf.OneofDescriptorProto oneof_decl = 8 [json_name = "oneofDecl"];`

### getOneofDeclBuilderList

public List<DescriptorProtos.OneofDescriptorProto.Builder> getOneofDeclBuilderList()
`repeated .google.protobuf.OneofDescriptorProto oneof_decl = 8 [json_name = "oneofDecl"];`

### hasOptions

public boolean hasOptions()
`optional .google.protobuf.MessageOptions options = 7 [json_name = "options"];`

Specified by:
  `hasOptions` in interface `DescriptorProtos.DescriptorProtoOrBuilder`
Returns:
  Whether the options field is set.

### getOptions

public DescriptorProtos.MessageOptions getOptions()
`optional .google.protobuf.MessageOptions options = 7 [json_name = "options"];`

Specified by:
  `getOptions` in interface `DescriptorProtos.DescriptorProtoOrBuilder`
Returns:
  The options.

### setOptions

public DescriptorProtos.DescriptorProto.Builder setOptions(DescriptorProtos.MessageOptions value)
`optional .google.protobuf.MessageOptions options = 7 [json_name = "options"];`

### setOptions

public DescriptorProtos.DescriptorProto.Builder setOptions(DescriptorProtos.MessageOptions.Builder builderForValue)
`optional .google.protobuf.MessageOptions options = 7 [json_name = "options"];`

### mergeOptions

public DescriptorProtos.DescriptorProto.Builder mergeOptions(DescriptorProtos.MessageOptions value)
`optional .google.protobuf.MessageOptions options = 7 [json_name = "options"];`

### clearOptions

public DescriptorProtos.DescriptorProto.Builder clearOptions()
`optional .google.protobuf.MessageOptions options = 7 [json_name = "options"];`

### getOptionsBuilder

public DescriptorProtos.MessageOptions.Builder getOptionsBuilder()
`optional .google.protobuf.MessageOptions options = 7 [json_name = "options"];`

### getOptionsOrBuilder

public DescriptorProtos.MessageOptionsOrBuilder getOptionsOrBuilder()
`optional .google.protobuf.MessageOptions options = 7 [json_name = "options"];`

Specified by:
  `getOptionsOrBuilder` in interface `DescriptorProtos.DescriptorProtoOrBuilder`

### getReservedRangeList

public List<DescriptorProtos.DescriptorProto.ReservedRange> getReservedRangeList()
`repeated .google.protobuf.DescriptorProto.ReservedRange reserved_range = 9 [json_name = "reservedRange"];`

Specified by:
  `getReservedRangeList` in interface `DescriptorProtos.DescriptorProtoOrBuilder`

### getReservedRangeCount

public int getReservedRangeCount()
`repeated .google.protobuf.DescriptorProto.ReservedRange reserved_range = 9 [json_name = "reservedRange"];`

Specified by:
  `getReservedRangeCount` in interface `DescriptorProtos.DescriptorProtoOrBuilder`

### getReservedRange

public DescriptorProtos.DescriptorProto.ReservedRange getReservedRange(int index)
`repeated .google.protobuf.DescriptorProto.ReservedRange reserved_range = 9 [json_name = "reservedRange"];`

Specified by:
  `getReservedRange` in interface `DescriptorProtos.DescriptorProtoOrBuilder`

### setReservedRange

public DescriptorProtos.DescriptorProto.Builder setReservedRange(int index, DescriptorProtos.DescriptorProto.ReservedRange value)
`repeated .google.protobuf.DescriptorProto.ReservedRange reserved_range = 9 [json_name = "reservedRange"];`

### setReservedRange

public DescriptorProtos.DescriptorProto.Builder setReservedRange(int index, DescriptorProtos.DescriptorProto.ReservedRange.Builder builderForValue)
`repeated .google.protobuf.DescriptorProto.ReservedRange reserved_range = 9 [json_name = "reservedRange"];`

### addReservedRange

public DescriptorProtos.DescriptorProto.Builder addReservedRange(DescriptorProtos.DescriptorProto.ReservedRange value)
`repeated .google.protobuf.DescriptorProto.ReservedRange reserved_range = 9 [json_name = "reservedRange"];`

### addReservedRange

public DescriptorProtos.DescriptorProto.Builder addReservedRange(int index, DescriptorProtos.DescriptorProto.ReservedRange value)
`repeated .google.protobuf.DescriptorProto.ReservedRange reserved_range = 9 [json_name = "reservedRange"];`

### addReservedRange

public DescriptorProtos.DescriptorProto.Builder addReservedRange(DescriptorProtos.DescriptorProto.ReservedRange.Builder builderForValue)
`repeated .google.protobuf.DescriptorProto.ReservedRange reserved_range = 9 [json_name = "reservedRange"];`

### addReservedRange

public DescriptorProtos.DescriptorProto.Builder addReservedRange(int index, DescriptorProtos.DescriptorProto.ReservedRange.Builder builderForValue)
`repeated .google.protobuf.DescriptorProto.ReservedRange reserved_range = 9 [json_name = "reservedRange"];`

### addAllReservedRange

public DescriptorProtos.DescriptorProto.Builder addAllReservedRange(Iterable<? extends DescriptorProtos.DescriptorProto.ReservedRange> values)
`repeated .google.protobuf.DescriptorProto.ReservedRange reserved_range = 9 [json_name = "reservedRange"];`

### clearReservedRange

public DescriptorProtos.DescriptorProto.Builder clearReservedRange()
`repeated .google.protobuf.DescriptorProto.ReservedRange reserved_range = 9 [json_name = "reservedRange"];`

### removeReservedRange

public DescriptorProtos.DescriptorProto.Builder removeReservedRange(int index)
`repeated .google.protobuf.DescriptorProto.ReservedRange reserved_range = 9 [json_name = "reservedRange"];`

### getReservedRangeBuilder

public DescriptorProtos.DescriptorProto.ReservedRange.Builder getReservedRangeBuilder(int index)
`repeated .google.protobuf.DescriptorProto.ReservedRange reserved_range = 9 [json_name = "reservedRange"];`

### getReservedRangeOrBuilder

public DescriptorProtos.DescriptorProto.ReservedRangeOrBuilder getReservedRangeOrBuilder(int index)
`repeated .google.protobuf.DescriptorProto.ReservedRange reserved_range = 9 [json_name = "reservedRange"];`

Specified by:
  `getReservedRangeOrBuilder` in interface `DescriptorProtos.DescriptorProtoOrBuilder`

### getReservedRangeOrBuilderList

public List<? extends DescriptorProtos.DescriptorProto.ReservedRangeOrBuilder> getReservedRangeOrBuilderList()
`repeated .google.protobuf.DescriptorProto.ReservedRange reserved_range = 9 [json_name = "reservedRange"];`

Specified by:
  `getReservedRangeOrBuilderList` in interface `DescriptorProtos.DescriptorProtoOrBuilder`

### addReservedRangeBuilder

public DescriptorProtos.DescriptorProto.ReservedRange.Builder addReservedRangeBuilder()
`repeated .google.protobuf.DescriptorProto.ReservedRange reserved_range = 9 [json_name = "reservedRange"];`

### addReservedRangeBuilder

public DescriptorProtos.DescriptorProto.ReservedRange.Builder addReservedRangeBuilder(int index)
`repeated .google.protobuf.DescriptorProto.ReservedRange reserved_range = 9 [json_name = "reservedRange"];`

### getReservedRangeBuilderList

public List<DescriptorProtos.DescriptorProto.ReservedRange.Builder> getReservedRangeBuilderList()
`repeated .google.protobuf.DescriptorProto.ReservedRange reserved_range = 9 [json_name = "reservedRange"];`

### getReservedNameList

public ProtocolStringList getReservedNameList()
`repeated string reserved_name = 10 [json_name = "reservedName"];`

Specified by:
  `getReservedNameList` in interface `DescriptorProtos.DescriptorProtoOrBuilder`
Returns:
  A list containing the reservedName.

### getReservedNameCount

public int getReservedNameCount()
`repeated string reserved_name = 10 [json_name = "reservedName"];`

Specified by:
  `getReservedNameCount` in interface `DescriptorProtos.DescriptorProtoOrBuilder`
Returns:
  The count of reservedName.

### getReservedName

public String getReservedName(int index)
`repeated string reserved_name = 10 [json_name = "reservedName"];`

Specified by:
  `getReservedName` in interface `DescriptorProtos.DescriptorProtoOrBuilder`
Parameters:
  `index` - The index of the element to return.
Returns:
  The reservedName at the given index.

### getReservedNameBytes

public ByteString getReservedNameBytes(int index)
`repeated string reserved_name = 10 [json_name = "reservedName"];`

Specified by:
  `getReservedNameBytes` in interface `DescriptorProtos.DescriptorProtoOrBuilder`
Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the reservedName at the given index.

### setReservedName

public DescriptorProtos.DescriptorProto.Builder setReservedName(int index, String value)
`repeated string reserved_name = 10 [json_name = "reservedName"];`

Parameters:
  `index` - The index to set the value at.
  `value` - The reservedName to set.
Returns:
  This builder for chaining.

### addReservedName

public DescriptorProtos.DescriptorProto.Builder addReservedName(String value)
`repeated string reserved_name = 10 [json_name = "reservedName"];`

Parameters:
  `value` - The reservedName to add.
Returns:
  This builder for chaining.

### addAllReservedName

public DescriptorProtos.DescriptorProto.Builder addAllReservedName(Iterable<String> values)
`repeated string reserved_name = 10 [json_name = "reservedName"];`

Parameters:
  `values` - The reservedName to add.
Returns:
  This builder for chaining.

### clearReservedName

public DescriptorProtos.DescriptorProto.Builder clearReservedName()
`repeated string reserved_name = 10 [json_name = "reservedName"];`

Returns:
  This builder for chaining.

### addReservedNameBytes

public DescriptorProtos.DescriptorProto.Builder addReservedNameBytes(ByteString value)
`repeated string reserved_name = 10 [json_name = "reservedName"];`

Parameters:
  `value` - The bytes of the reservedName to add.
Returns:
  This builder for chaining.